#include"TcPch.h"
#pragma hdrstop
#include"IoMFC.h"
#include"DEVICE.h"
#include"debug.h"
IoMFC::IoMFC(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoMFC* _initMFC1_0(){
	static IoMFC staticMFC1("IoMFC","MFC1",MODULE_NAME);
	IoMFC::poMFC1=&staticMFC1;
	IoMFC* dev=&staticMFC1;
	strcpy(dev->id,"MFC1");
	strcpy(dev->display,"MFC1");
	strcpy(dev->schematicId,"MFC1");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC1_PV,"AI.MFC1_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC1_SV,"AO.MFC1_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC1_Rate,"AO.MFC1_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC2_0(){
	static IoMFC staticMFC2("IoMFC","MFC2",MODULE_NAME);
	IoMFC::poMFC2=&staticMFC2;
	IoMFC* dev=&staticMFC2;
	strcpy(dev->id,"MFC2");
	strcpy(dev->display,"MFC2");
	strcpy(dev->schematicId,"MFC2");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC2_PV,"AI.MFC2_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC2_SV,"AO.MFC2_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC2_Rate,"AO.MFC2_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC3_0(){
	static IoMFC staticMFC3("IoMFC","MFC3",MODULE_NAME);
	IoMFC::poMFC3=&staticMFC3;
	IoMFC* dev=&staticMFC3;
	strcpy(dev->id,"MFC3");
	strcpy(dev->display,"MFC3");
	strcpy(dev->schematicId,"MFC3");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC3_PV,"AI.MFC3_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC3_SV,"AO.MFC3_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC3_Rate,"AO.MFC3_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC4_0(){
	static IoMFC staticMFC4("IoMFC","MFC4",MODULE_NAME);
	IoMFC::poMFC4=&staticMFC4;
	IoMFC* dev=&staticMFC4;
	strcpy(dev->id,"MFC4");
	strcpy(dev->display,"MFC4");
	strcpy(dev->schematicId,"MFC4");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC4_PV,"AI.MFC4_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC4_SV,"AO.MFC4_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC4_Rate,"AO.MFC4_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC5_0(){
	static IoMFC staticMFC5("IoMFC","MFC5",MODULE_NAME);
	IoMFC::poMFC5=&staticMFC5;
	IoMFC* dev=&staticMFC5;
	strcpy(dev->id,"MFC5");
	strcpy(dev->display,"MFC5");
	strcpy(dev->schematicId,"MFC5");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC5_PV,"AI.MFC5_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC5_SV,"AO.MFC5_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC5_Rate,"AO.MFC5_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC6_0(){
	static IoMFC staticMFC6("IoMFC","MFC6",MODULE_NAME);
	IoMFC::poMFC6=&staticMFC6;
	IoMFC* dev=&staticMFC6;
	strcpy(dev->id,"MFC6");
	strcpy(dev->display,"MFC6");
	strcpy(dev->schematicId,"MFC6");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC6_PV,"AI.MFC6_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC6_SV,"AO.MFC6_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC6_Rate,"AO.MFC6_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC7_0(){
	static IoMFC staticMFC7("IoMFC","MFC7",MODULE_NAME);
	IoMFC::poMFC7=&staticMFC7;
	IoMFC* dev=&staticMFC7;
	strcpy(dev->id,"MFC7");
	strcpy(dev->display,"MFC7");
	strcpy(dev->schematicId,"MFC7");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC7_PV,"AI.MFC7_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC7_SV,"AO.MFC7_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC7_Rate,"AO.MFC7_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC8_0(){
	static IoMFC staticMFC8("IoMFC","MFC8",MODULE_NAME);
	IoMFC::poMFC8=&staticMFC8;
	IoMFC* dev=&staticMFC8;
	strcpy(dev->id,"MFC8");
	strcpy(dev->display,"MFC8");
	strcpy(dev->schematicId,"MFC8");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC8_PV,"AI.MFC8_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC8_SV,"AO.MFC8_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC8_Rate,"AO.MFC8_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC9_0(){
	static IoMFC staticMFC9("IoMFC","MFC9",MODULE_NAME);
	IoMFC::poMFC9=&staticMFC9;
	IoMFC* dev=&staticMFC9;
	strcpy(dev->id,"MFC9");
	strcpy(dev->display,"MFC9");
	strcpy(dev->schematicId,"MFC9");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC9_PV,"AI.MFC9_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC9_SV,"AO.MFC9_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC9_Rate,"AO.MFC9_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC10_0(){
	static IoMFC staticMFC10("IoMFC","MFC10",MODULE_NAME);
	IoMFC::poMFC10=&staticMFC10;
	IoMFC* dev=&staticMFC10;
	strcpy(dev->id,"MFC10");
	strcpy(dev->display,"MFC10");
	strcpy(dev->schematicId,"MFC10");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC10_PV,"AI.MFC10_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC10_SV,"AO.MFC10_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC10_Rate,"AO.MFC10_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC11_0(){
	static IoMFC staticMFC11("IoMFC","MFC11",MODULE_NAME);
	IoMFC::poMFC11=&staticMFC11;
	IoMFC* dev=&staticMFC11;
	strcpy(dev->id,"MFC11");
	strcpy(dev->display,"MFC11");
	strcpy(dev->schematicId,"MFC11");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC11_PV,"AI.MFC11_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC11_SV,"AO.MFC11_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC11_Rate,"AO.MFC11_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC12_0(){
	static IoMFC staticMFC12("IoMFC","MFC12",MODULE_NAME);
	IoMFC::poMFC12=&staticMFC12;
	IoMFC* dev=&staticMFC12;
	strcpy(dev->id,"MFC12");
	strcpy(dev->display,"MFC12");
	strcpy(dev->schematicId,"MFC12");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC12_PV,"AI.MFC12_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC12_SV,"AO.MFC12_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC12_Rate,"AO.MFC12_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC13_0(){
	static IoMFC staticMFC13("IoMFC","MFC13",MODULE_NAME);
	IoMFC::poMFC13=&staticMFC13;
	IoMFC* dev=&staticMFC13;
	strcpy(dev->id,"MFC13");
	strcpy(dev->display,"MFC13");
	strcpy(dev->schematicId,"MFC13");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC13_PV,"AI.MFC13_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC13_SV,"AO.MFC13_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC13_Rate,"AO.MFC13_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC14_0(){
	static IoMFC staticMFC14("IoMFC","MFC14",MODULE_NAME);
	IoMFC::poMFC14=&staticMFC14;
	IoMFC* dev=&staticMFC14;
	strcpy(dev->id,"MFC14");
	strcpy(dev->display,"MFC14");
	strcpy(dev->schematicId,"MFC14");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC14_PV,"AI.MFC14_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC14_SV,"AO.MFC14_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC14_Rate,"AO.MFC14_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC15_0(){
	static IoMFC staticMFC15("IoMFC","MFC15",MODULE_NAME);
	IoMFC::poMFC15=&staticMFC15;
	IoMFC* dev=&staticMFC15;
	strcpy(dev->id,"MFC15");
	strcpy(dev->display,"MFC15");
	strcpy(dev->schematicId,"MFC15");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC15_PV,"AI.MFC15_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC15_SV,"AO.MFC15_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC15_Rate,"AO.MFC15_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC16_0(){
	static IoMFC staticMFC16("IoMFC","MFC16",MODULE_NAME);
	IoMFC::poMFC16=&staticMFC16;
	IoMFC* dev=&staticMFC16;
	strcpy(dev->id,"MFC16");
	strcpy(dev->display,"MFC16");
	strcpy(dev->schematicId,"MFC16");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC16_PV,"AI.MFC16_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC16_SV,"AO.MFC16_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC16_Rate,"AO.MFC16_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC17_0(){
	static IoMFC staticMFC17("IoMFC","MFC17",MODULE_NAME);
	IoMFC::poMFC17=&staticMFC17;
	IoMFC* dev=&staticMFC17;
	strcpy(dev->id,"MFC17");
	strcpy(dev->display,"MFC17");
	strcpy(dev->schematicId,"MFC17");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC17_PV,"AI.MFC17_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC17_SV,"AO.MFC17_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC17_Rate,"AO.MFC17_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
IoMFC* _initMFC51_0(){
	static IoMFC staticMFC51("IoMFC","MFC51",MODULE_NAME);
	IoMFC::poMFC51=&staticMFC51;
	IoMFC* dev=&staticMFC51;
	strcpy(dev->id,"MFC51");
	strcpy(dev->display,"MFC51");
	strcpy(dev->schematicId,"MFC51");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFC51_PV,"AI.MFC51_PV",TRUE);
	dev->aoFlow.create("aoFlow",&AO->MFC51_SV,"AO.MFC51_SV",FALSE);
	dev->aoRamp.create("aoRamp",&AO->MFC51_Rate,"AO.MFC51_Rate",FALSE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFC");
	return dev;
}
void initIoMFC(){
	IoMFC* dev;
	dev=_initMFC1_0();
	dev=_initMFC2_0();
	dev=_initMFC3_0();
	dev=_initMFC4_0();
	dev=_initMFC5_0();
	dev=_initMFC6_0();
	dev=_initMFC7_0();
	dev=_initMFC8_0();
	dev=_initMFC9_0();
	dev=_initMFC10_0();
	dev=_initMFC11_0();
	dev=_initMFC12_0();
	dev=_initMFC13_0();
	dev=_initMFC14_0();
	dev=_initMFC15_0();
	dev=_initMFC16_0();
	dev=_initMFC17_0();
	dev=_initMFC51_0();
}
IoMFC* IoMFC::poMFC1=NULL;
IoMFC* IoMFC::poMFC2=NULL;
IoMFC* IoMFC::poMFC3=NULL;
IoMFC* IoMFC::poMFC4=NULL;
IoMFC* IoMFC::poMFC5=NULL;
IoMFC* IoMFC::poMFC6=NULL;
IoMFC* IoMFC::poMFC7=NULL;
IoMFC* IoMFC::poMFC8=NULL;
IoMFC* IoMFC::poMFC9=NULL;
IoMFC* IoMFC::poMFC10=NULL;
IoMFC* IoMFC::poMFC11=NULL;
IoMFC* IoMFC::poMFC12=NULL;
IoMFC* IoMFC::poMFC13=NULL;
IoMFC* IoMFC::poMFC14=NULL;
IoMFC* IoMFC::poMFC15=NULL;
IoMFC* IoMFC::poMFC16=NULL;
IoMFC* IoMFC::poMFC17=NULL;
IoMFC* IoMFC::poMFC51=NULL;
//AUTOIO_END
